Subject: Re: bug#37428: Keyboard layout setting fails when no keyboard is attached

From: dario <[email-masked]>
Date: Mon, 23 Sep 2019 18:59:46 +0200

Hello Ludo,

> Are you using GNOME, or Xfce, or some lightweight window manager?
I am using EXWM. Interestingly, when using GNOME, the problem does not appear.

> When the X11 keyboard layout is incorrect, are there any hints in
> ~/.local/share/xorg/Xorg.1.log as to why?
Maybe this is relevant? As far as I can tell, this all looks fine.
[    39.298] (II) XINPUT: Adding extended input device "Logitech K520" (type: KEYBOARD, id 10)
[    39.298] (**) Option "xkb_rules" "evdev"
[    39.298] (**) Option "xkb_layout" "de"
[    39.298] (**) Option "xkb_variant" "nodeadkeys"
[    39.298] (**) Option "xkb_options" "ctrl:nocaps"
[    39.298] (II) evdev: Logitech K520: initialized for relative axes.
[    39.298] (WW) evdev: Logitech K520: ignoring absolute axes.
[    39.298] (**) Logitech K520: (accel) keeping acceleration scheme 1
[    39.298] (**) Logitech K520: (accel) acceleration profile 0
[    39.298] (**) Logitech K520: (accel) acceleration factor: 2.000
[    39.298] (**) Logitech K520: (accel) acceleration threshold: 4
I also searched for errors and warnings, but did not find anything suspicious.

Also, it turns out that when attaching the tablet keyboard, the layout
is also set correctly for the external keyboard, even when the tablet
keyboard is removed again.

Best,

Dario

Ludovic Courtès <[email-masked]> writes:

> Hello,
>
> dario <[email-masked]> skribis:
>
>> When the keyboard is attached, the keyboard layout is set correctly in
>> the TTY and in the graphical session. However, without the keyboard
>> attached, even when an external USB-keyboard is attached, the keyboard
>> layout is only set correctly in the TTY, but in the graphical session,
>> the default QWERTY layout is set.
>
> Are you using GNOME, or Xfce, or some lightweight window manager?
>
> When the X11 keyboard layout is incorrect, are there any hints in
> ~/.local/share/xorg/Xorg.1.log as to why?
>
> Thanks,
> Ludo’.